Hermos API

Redeliver Event

Requeue deliveries to enabled subscribed endpoints using the delivery engine. Pending deliveries are returned as already_queued.

POST/events/{id}/redeliver

Requeue deliveries to enabled subscribed endpoints using the delivery engine. Pending deliveries are returned as already_queued.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Opaque event ID.

Match^evn_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/events/string/redeliver" \  -H "Content-Type: application/json" \  -d '{}'
{  "event_id": "string",  "queued": [    "string"  ],  "already_queued": [    "string"  ]}